/*
 * ClipLibrary.java
 * Copyright (c) 1999-2000 Andre Kaplan, Chris Laird
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


import java.io.InputStream;
import java.io.IOException;


/**
 * A library of clips.
 */
public class ClipLibrary extends OrderedProperties
{
    public ClipLibrary() {
        super();
    }


    /**
     * Construct a new ClipLibrary by loading it from the specified InputStream.
     */
    public ClipLibrary(InputStream is) throws IOException {
        super();
        load(is);
        is.close();
    }
}
